import request from '@/utils/request'

// 查询企微sop列表
export function listSop(query) {
  return request({
    url: '/qw/sop/list',
    method: 'post',
    data: query
  })
}
// 查询企微sop模板列表
export function listAiChatSop(query) {
  return request({
    url: '/qw/sop/listAiChatSop',
    method: 'get',
    params: query
  })
}


export function courseList() {
  return request({
    url: '/qw/sop/courseList',
    method: 'get',
  })
}
export function videoList(id) {
  return request({
    url: '/qw/sop/videoList/' + id,
    method: 'get'
  })
}
// 查询企微sop详细
export function getSop(id) {
  return request({
    url: '/qw/sop/' + id,
    method: 'get'
  })
}

// 新增企微sop
export function addSop(data) {
  return request({
    url: '/qw/sop',
    method: 'post',
    data: data
  })
}

// 修改企微sop
export function updateSop(data) {
  return request({
    url: '/qw/sop',
    method: 'put',
    data: data
  })
}
//修改企微sop自动创建时间
export function updateAutoSopTime(data) {
  return request({
    url: '/qw/sop/updateAutoSopTime',
    method: 'post',
    data: data
  })
}

//修改状态
export function updateSopStatus(data) {
  return request({
    url: '/qw/sop/updateSopStatus',
    method: 'post',
    data: data
  })
}
// 删除企微sop
export function delSop(id) {
  return request({
    url: '/qw/sop/' + id,
    method: 'delete'
  })
}

//批量执行企微sop
export function executeSop(ids) {
  return request({
    url: '/qw/sop/executeSop/' + ids,
    method: 'put'
  })
}
//批量执行企微sop先改状态
export function updateStatus(ids) {
  return request({
    url: '/qw/sop/updateStatus/' + ids,
    method: 'get'
  })
}
// 导出企微sop
export function exportSop(query) {
  return request({
    url: '/qw/sop/export',
    method: 'post',
    data: query
  })
}

// 导出企微sop
export function getSopVoiceList(params) {
  return request({
    url: '/qw/sop/getSopVoiceList',
    method: 'get',
    params
  })
}


// 修改企微sop
export function updateSopQwUser(data) {
  return request({
    url: '/qw/sop/updateSopQwUser',
    method: 'post',
    data: data
  })
}
// 查询看课sop列表全部
export function sopList(query) {
  return request({
    url: '/qw/sop/allList',
    method: 'post',
    data: query
  })
}
